Skip to content

Update the current user

PATCH
/v1/me
curl -X PATCH "https://api.summerbase.com/v1/me" \
-H "Authorization: Bearer sb_..." \
-H "Content-Type: application/json" \
-d '{
"name": "Maya Chen"
}'

Update the signed-in user’s profile.

Media typeapplication/json
object
name

The name on the account.

string

Example

{
"name": "Maya Chen"
}

Returns the user object.

Media typeapplication/json

Example

{
"created_at": "2025-09-08T13:58:02Z",
"email": "maya@example.com",
"id": "0198f1a2-6b10-7d2a-b4c5-9e8f7a6b5c41",
"name": "Maya Chen",
"oauth_provider": "google",
"object": "user"
}